v_hdmirxss: xv_hdmirxss_log.c File Reference

| v_hdmirxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xv_hdmirxss_log.c File Reference

## Overview

Note
  None.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.0   YH   17/08/16 Initial release.
    1.01  MMO  03/01/17 Add compiler option(XV_HDMIRXSS_LOG_ENABLE) to enable
                            Log
    1.4   YH   07/07/17 Add new log type XV_HDMIRXSS_LOG_EVT_SETSTREAM_ERR
    5.0   EB   16/01/18 Added new log XV_HDMIRXSS_LOG_EVT_PIX_REPEAT_ERR
               23/01/18 Minor cleanup
          MMO  05/02/18 Added new log XV_HDMIRXSS_LOG_EVT_SYNCEST
    5.4   EB   06/08/19 Added new log XV_HDMIRXSS_LOG_EVT_VICERROR

## Functions
void | XV_HdmiRxSs_LogReset (XV_HdmiRxSs *InstancePtr)
| This function will reset the driver's logging mechanism. More...
void | XV_HdmiRxSs_LogWrite (XV_HdmiRxSs *InstancePtr, XV_HdmiRxSs_LogEvent Evt, u8 Data)
| This function will insert an event in the driver's logginc mechanism. More...
u16 | XV_HdmiRxSs_LogRead (XV_HdmiRxSs *InstancePtr)
| This function will read the last event from the log. More...
void | XV_HdmiRxSs_LogDisplay (XV_HdmiRxSs *InstancePtr)
| This function will print the entire log. More...

## Function Documentation

void XV_HdmiRxSs_LogDisplay | ( | XV_HdmiRxSs * | InstancePtr | ) |

This function will print the entire log.

Parameters

  InstancePtr | is a pointer to the XV_HdmiRxSs core instance.

Returns
  None.

Note
  None.

References XV_HDMIRXSS_LOG_EVT_CONNECT, XV_HDMIRXSS_LOG_EVT_DISCONNECT, XV_HDMIRXSS_LOG_EVT_DVIMODE, XV_HDMIRXSS_LOG_EVT_HDCP14, XV_HDMIRXSS_LOG_EVT_HDCP14_INIT, XV_HDMIRXSS_LOG_EVT_HDCP22, XV_HDMIRXSS_LOG_EVT_HDCP22_INIT, XV_HDMIRXSS_LOG_EVT_HDCPTIMER_INIT, XV_HDMIRXSS_LOG_EVT_HDMIMODE, XV_HDMIRXSS_LOG_EVT_HDMIRX_INIT, XV_HDMIRXSS_LOG_EVT_LINKSTATUS, XV_HDMIRXSS_LOG_EVT_NONE, XV_HDMIRXSS_LOG_EVT_PIX_REPEAT_ERR, XV_HDMIRXSS_LOG_EVT_REFCLOCKCHANGE, XV_HDMIRXSS_LOG_EVT_RESET, XV_HDMIRXSS_LOG_EVT_SETSTREAM, XV_HDMIRXSS_LOG_EVT_SETSTREAM_ERR, XV_HDMIRXSS_LOG_EVT_START, XV_HDMIRXSS_LOG_EVT_STOP, XV_HDMIRXSS_LOG_EVT_STREAMDOWN, XV_HDMIRXSS_LOG_EVT_STREAMINIT, XV_HDMIRXSS_LOG_EVT_STREAMUP, XV_HDMIRXSS_LOG_EVT_SYNCEST, XV_HDMIRXSS_LOG_EVT_SYNCLOSS, XV_HDMIRXSS_LOG_EVT_VICERROR, XV_HDMIRXSS_LOG_EVT_VTC_INIT, and XV_HdmiRxSs_LogRead().

u16 XV_HdmiRxSs_LogRead | ( | XV_HdmiRxSs * | InstancePtr | ) |

This function will read the last event from the log.

Parameters

  InstancePtr | is a pointer to the XV_HdmiRxSs core instance.

Returns
  The log data.

Note
  None.

References XV_HdmiRxSs_Log::DataBuffer, XV_HdmiRxSs_Log::HeadIndex, XV_HdmiRxSs::Log, and XV_HdmiRxSs_Log::TailIndex.

Referenced by XV_HdmiRxSs_LogDisplay().

void XV_HdmiRxSs_LogReset | ( | XV_HdmiRxSs * | InstancePtr | ) |

This function will reset the driver's logging mechanism.

Parameters

  InstancePtr | is a pointer to the xv_hdmirxss core instance.

Returns
  None.

Note
  None.

References XV_HdmiRxSs_Log::HeadIndex, XV_HdmiRxSs::Log, and XV_HdmiRxSs_Log::TailIndex.

void XV_HdmiRxSs_LogWrite | ( | XV_HdmiRxSs * | InstancePtr,
|  | XV_HdmiRxSs_LogEvent | Evt,
|  | u8 | Data
| ) |  |

This function will insert an event in the driver's logginc mechanism.

Parameters

  InstancePtr | is a pointer to the XV_HdmiRxSs core instance.
  Evt | is the event type to log.
  Data | is the associated data for the event.

Returns
  None.

Note
  None.

References XV_HdmiRxSs_Log::DataBuffer, XV_HdmiRxSs_Log::HeadIndex, XV_HdmiRxSs::Log, XV_HdmiRxSs_Log::TailIndex, and XV_HDMIRXSS_LOG_EVT_DUMMY.

Referenced by XV_HdmiRxSs_RefClockChangeInit(), XV_HdmiRxSs_Reset(), XV_HdmiRxSs_SetStream(), XV_HdmiRxSs_Start(), XV_HdmiRxSs_Stop(), and XV_HdmiRxSs_SubcoreInitHdmiRx().